# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Maintainer: Stephan Wienczny <wienczny@web.de>

DESCRIPTION="Runtime lib for GDC"
SRC_URI="http://home.earthlink.net/~dvdfrdmn/d/d-for-gcc-r1f.tgz
	 ftp://ftp.gnu.org/pub/gcc/releases/gcc-3.4.0/gcc-3.4.0.tar.bz2"
HOMEPAGE="http:/home.earthlink.net/~dvdfrdmn/d"
LICENSE="Artistic"
DEPEND=">=sys-libs/glibc-2.3.0
	>=sys-devel/gcc-2.3.0
	>=dev-lang/gdc-0.8.2_rc6"
    
S="${WORKDIR}/gcc-3.4.0/gcc/d/phobos"
KEYWORDS="~x86" 
SLOT="0"
IUSE=""

src_unpack() {
	unpack "gcc-3.4.0.tar.bz2"
	cd gcc-3.4.0/gcc
	unpack "d-for-gcc-r1f.tgz"
}

src_compile() {
	unset CC
	unset CXX
	unset CFLAGS
	unset CXXFLAGS
	cd ${S}
	./configure --prefix=/usr

	gmake
}

src_install () {  
	#Delete object files 
	for file in `find | grep "\.o"`
	do
	    rm $file;
	done

	dolib.a ${S}/libphobos.a
	dolib ${S}/libphobos.spec
	dodir /usr/include/d/
	
	cp -f *.d phobos-ver-syms ${D}/usr/include/d/
	cp -Rf etc gcc internal std ${D}/usr/include/d/
}

